Index: LMDZ6/trunk/libf/dyn3dmem/dynetat0_loc.F90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/dynetat0_loc.F90	(revision 4062)
+++ LMDZ6/trunk/libf/dyn3dmem/dynetat0_loc.F90	(revision 4063)
@@ -7,5 +7,6 @@
 !-------------------------------------------------------------------------------
   USE parallel_lmdz
-  USE infotrac,    ONLY: nqtot, tracers, iqiso, iso_indnum, tnat, alpha_ideal, ok_isotopes, maxlen
+  USE strings_mod, ONLY: maxlen
+  USE infotrac,    ONLY: nqtot, tracers, iqiso, iso_indnum, tnat, alpha_ideal, ok_isotopes
   USE netcdf, ONLY: NF90_OPEN,  NF90_INQUIRE_DIMENSION, NF90_INQ_VARID,        &
       NF90_NOWRITE, NF90_CLOSE, NF90_INQUIRE_VARIABLE,  NF90_GET_VAR, NF90_NoErr
Index: LMDZ6/trunk/libf/dyn3dmem/dynredem_loc.F90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/dynredem_loc.F90	(revision 4062)
+++ LMDZ6/trunk/libf/dyn3dmem/dynredem_loc.F90	(revision 4063)
@@ -9,5 +9,6 @@
   USE parallel_lmdz
   USE mod_hallo
-  USE infotrac, ONLY: nqtot, tracers, maxlen
+  USE strings_mod, ONLY: maxlen
+  USE infotrac, ONLY: nqtot, tracers
   USE netcdf, ONLY: NF90_CREATE, NF90_DEF_DIM, NF90_INQ_VARID, NF90_GLOBAL,    &
                     NF90_CLOSE,  NF90_PUT_ATT, NF90_UNLIMITED, NF90_CLOBBER,   &
@@ -174,5 +175,6 @@
   USE parallel_lmdz
   USE mod_hallo
-  USE infotrac, ONLY: nqtot, tracers, type_trac, maxlen
+  USE strings_mod, ONLY: maxlen
+  USE infotrac, ONLY: nqtot, tracers, type_trac
   USE control_mod
   USE netcdf,   ONLY: NF90_OPEN,  NF90_NOWRITE, NF90_GET_VAR, NF90_INQ_VARID,  &
